$(document).ready(function () {

    //$("#user-type").selectmenu();
    $("html").niceScroll({
        cursorwidth: "8px", cursorborder: "none", zindex: "10",
        autohidemode: false, cursorcolor: "#2B323A", scrollspeed: 100, horizrailenabled: false,
        cursorborderradius: "0px"
    });

    $("#menu li a").each(function () {
        var path = window.location.href;
        if ($(this).attr("href") == path) {
            $("#menu li a").removeClass("active-menu");
            $(this).addClass("active-menu");
        }
    });
	
	$(".remove-btn").click(function(){
	if(confirm("Are You Sure Want To Delete ?")){
	return true;
	}
	return false;
	});


    $(window).load(function () {
        if ($(window).width() < 769) {
            $("#menu li ul").removeClass("in");
            $("#menu li").removeClass("active");
            $(".title").css("display", "none");
            $(".has-sub").addClass("hidetag");
            $("#menu li").removeClass("has-sub-change");
            $("#menu li ul").css("display", "none");
            $(".sidebar").removeAttr("style");
            $(".main-content").removeAttr("style");
        }

    });

    $(window).resize(function () {
        if ($(window).width() < 769) {
            $("#menu li ul").removeClass("in");
            $("#menu li").removeClass("active");
            $(".title").css("display", "none");
            $(".has-sub").addClass("hidetag");
            $("#menu li").removeClass("has-sub-change");
            $("#menu li ul").css("display", "none");
            $(".sidebar").removeAttr("style");
            $(".main-content").removeAttr("style");
        } else if ($(window).width() > 769 && $(".sidebar").width() != 70) {
            $(".title").css("display", "inline");
            $(".has-sub").removeClass("hidetag");
            $("#menu li ul").removeAttr("style");
            $("#menu li ul").removeClass("micro-menu");
            $("#menu").addClass("menu-helper");
        }
    });


//For Profile Dropdown Desktop And Responsive View
    $("#profile").click(function () {

        $(".dropdown-profile").fadeToggle(1000);
        $('.dropdown-alert').hide();

        return false;
    });

// For Alert Dropdown
    $(".my-dropdown").on('click', function () {
        if ($(".my-dropdown").css('display') == 'block' && $(this).next("ul").css('display') != 'block') {
            $('.dropdown-alert').hide();
        }
        $(this).next("ul").fadeToggle(1000);
        if ($('.dropdown-profile').css('display') == 'block') {
            $('.dropdown-profile').hide();
        }
        return false;
    });


//Sidebar Nav Menu
    $('#menu').metisMenu();


    $(".hide-nav").click(function () {
        if ($(".sidebar").width() == 250) {
            $("#menu li ul").removeClass("in");
            $("#menu li").removeClass("active");
            $(".sidebar").animate({width: '70px'}, 300);
            $(".title").css("display", "none");
            $(".has-sub").addClass("hidetag");
            $("#menu li").removeClass("has-sub-change");
            $("#menu li ul").css("display", "none");
            //For Desktop View Only
            if ($(window).width() > 768) {
                $(".main-content").css("padding-left", "240px");
                $(".main-content").animate({paddingLeft: "50px"}, 300);
            }
        } else if ($(".sidebar").width() == 70 && $(window).width() > 768) {
            $(".main-content").animate({paddingLeft: "240px"}, 300);
            $(".sidebar").animate({width: '250px'}, 300, function () {
                $(".title").css("display", "inline");
                $(".has-sub").removeClass("hidetag");
                $("#menu li ul").removeAttr("style");
                $("#menu li ul").removeClass("micro-menu");
                $("#menu").addClass("menu-helper");
            });
        }
        return false;
    });


    //navbar

    $("#menu li a").click(function () {

        var c = $(this);
        if ($(".sidebar").width() == 70) {
            if ($(c).next("ul").css('display') == 'block') {
                $(c).next("ul").fadeOut();
            } else {
                $("#menu").removeClass("menu-helper");
                $("#menu li ul").css("display", "none");
                $(c).next("ul").css("display", "none");
                $(c).next("ul").removeAttr("style");
                $(c).next("ul").addClass("micro-menu");
                $(c).next("ul").css("margin-left", "64px");
                $(c).next("ul").animate({marginLeft: "54px"}, 600);
            }

        }
    });

    $('#menu li a').click(function () {
        if ($(".sidebar").width() == 250) {
            $("#menu li").each(function () {
                if ($(this).hasClass("has-sub-change")) {
                    $(this).addClass("has-sub");
                    $(this).removeClass("has-sub-change");
                }
            });
            if ($(this).parent().hasClass("active")) {
                $(this).parent().removeClass("has-sub");
                $(this).parent().addClass("has-sub-change");
            }
        }
    });

    $(document).on('click', '.exit', function () {
        $(".alertbox-info").fadeTo(500, 0.2, function () {
            $(".alertbox-info").remove();
        });
    });

    $(".btn-remove").click(function () {
        var a = confirm("Are You Sure Want To Delete ?");
        if (a == true) {
            return true;
        }

        return false;
    });


});

function showInfo(content) {
    $('body').append("<div class='alertbox-info'><div class='alert-head'>" +
        "<span class='alert-text'><p><i class='fa fa-bell'></i> Alert</p>" +
        "<i class='fa fa-times-circle exit'></i></span></div>" +
        "<div class='alert-content'><i class='fa fa-info-circle alert-icon'></i>" + content + "</div></div>");

    var h = $(".alertbox-info").height() / 2;
    $(".alertbox-info").css("margin-top", -h);
    $('.alertbox-info').fadeTo(500, 1.0);
}





